# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.

# module information
OpenIDE-Module-Name=External HTML Browser
OpenIDE-Module-Display-Category=Web
OpenIDE-Module-Long-Description=The External Browser module enables the integration of external web browsers with the IDE for viewing Javadoc documentation and testing applets and web (JSP and servlet) applications. It provides an alternative to the built-in HTML Browser.
OpenIDE-Module-Short-Description=Enables integration of external web browsers with the IDE.

# UnixBrowserImpl
# {0} browser process
MSG_Running_command=Running command {0}
# {0} browser process
MSG_Cant_run_netscape=Cannot execute {0}. Check external browser configuration.
 
# NbDdeBrowserImpl
MSG_startingBrowser=Starting browser...
MSG_activatingBrowser=Activating browser...
MSG_openingURLInBrowser=URL Sent to browser
PROP_browserExecutable=Browser Executable
HINT_browserExecutable=Command for executing the browser.
HINT_MozillaBrowserName=Optimized for Mozilla browsers
HINT_FirefoxBrowserName=Optimized for Firefox browsers
HINT_ChromeBrowserName=Optimized for Chrome browsers
HINT_ChromiumBrowserName=Optimized for Chromium browsers
HINT_SafariBrowserName=Optimized for Safari browser

#Simple browser
HINT_SimpleExtBrowser=HTML browser that is brought up in a separate process every time a URL is selected for display from within the IDE.
CTL_SimpleExtBrowser=External Browser (command-line)

EXC_Invalid_Processor=Cannot create process. \
Check the browser configuration.
MSG_BrowserExecutorHint={URL} = URL of the page to be loaded by the web browser\n

# Options API
LBL_settings=External HTML Browser

# Not visible now.
ERR_cant_locate_dll=Unable to locate extbrowser.dll library. This library contains native code necessary for using the external HTML browser on Windows platform.
HINT_IExplorerBrowserName=Optimized for Internet Explorer
MSG_CannotUseBrowser=Browser cannot be used on this platform.
MSG_win_browser_invocation_failed=Could not access the URL through the external browser. Check the \
browser configuration.

#Names of browsers installed into system
Services/Browsers/SimpleExtBrowser.settings=External Browser (command-line)

Templates/Services/Browsers/ExtWebBrowser.settings=External Browser

CTL_MozillaBrowserName=Mozilla

CTL_FirefoxBrowserName=Firefox

CTL_SafariBrowserName=Safari

CTL_ChromeBrowserName=Chrome

CTL_ChromiumBrowserName=Chromium

CTL_IExplorerBrowserName=Internet Explorer

Services/Browsers/IExplorerBrowser.settings=Internet Explorer

Services/Browsers/MozillaBrowser.settings=Mozilla

Services/Browsers/FirefoxBrowser.settings=Firefox

Services/Browsers/ChromeBrowser.settings=Chrome

Services/Browsers/SafariBrowser.settings=Safari

Services/Browsers/ChromeBrowser.settings=Chrome

Services/Browsers/ChromiumBrowser.settings=Chromium

PROP_DDE_ACTIVATE_TIMEOUT=Browser activation timeout

PROP_DDE_OPENURL_TIMEOUT=Open URL timeout

HINT_DDE_ACTIVATE_TIMEOUT=DDE server timeout for WWW_Activate topic

HINT_DDE_OPENURL_TIMEOUT=DDE server timeout for WWW_OpenUrl topic

Services/Browsers/SystemDefaultBrowser.settings=<Default System Browser>

CTL_SystemDefaultBrowserName=<Default System Browser>

HINT_SystemDefaultBrowserName=HTML browser using Windows registry to execute the right system-default browser.

PROP_BROWSER_START_TIMEOUT=Timeout for launching the browser process

HINT_BROWSER_START_TIMEOUT=Sets the amount of time IDE waits for a browser process to launch.

HINT_NetscapeBrowserName=Optimized for Netscape browsers

TXT_RedirectURL1=<HTML><HEAD><META http-equiv\=Refresh content\="0; URL\=

TXT_RedirectURL2="></HEAD><BODY></BODY></HTML>
